%define oname pythonequations
%define svnrev 102
Name: python-module-%oname
Version: 10.3
Release: alt1.svn20091007
Summary: A collection of Python equations

Group: Development/Python
License: BSD
URL: http://code.google.com/p/pythonequations/
# http://pythonequations.googlecode.com/svn/trunk
Source: %oname-%version.tar.gz
BuildArch: noarch
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires: python-devel

%description
The middleware for http://zunzun.com as a collection of Python equations
that can fit themselves to both 2D and 3D data sets (curve fitting and
surface fitting), output source code in several computing languages, and
run a genetic algorithm for initial parameter estimation.

%prep
%setup
sed -i 's|@SVNREV@|%svnrev|' __init__.py

%install
install -d %buildroot%python_sitelibdir/%oname
cp -fR * %buildroot%python_sitelibdir/%oname/

%files
%doc *.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/%oname/*.txt

%changelog
* Thu Oct 08 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.3-alt1.svn20091007
- Initial build for Sisyphus

